import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

// |C^Cxg({)
public class xengine extends MIDlet implements CommandListener {
    /** This MIDlets Display object */
    private Display display;    // Our display
    /** The xengineCanvas */
    private xengineCanvas xCanvas;

    /** The Measure Command */
    private Command measureCommand = new Command("Measure", Command.SCREEN, 1);
    /** The Command to show the About box */
    private Command   aboutCommand = new Command("About",   Command.SCREEN, 2);
    /** The Exit Command */
    private Command    exitCommand = new Command("Exit",    Command.SCREEN, 3);

    //RXgN^
    public xengine() {
        display = Display.getDisplay(this);
        xCanvas = new xengineCanvas(display);
    //  display.setCurrent(xCanvas);
        xCanvas.addCommand(measureCommand);
        xCanvas.addCommand(aboutCommand);
        xCanvas.addCommand(exitCommand);
        xCanvas.setCommandListener(this);
    }

    //Av̊Jn
    public void startApp() {
       display.setCurrent(xCanvas);
    }

    //Av̈ꎞ~
    public void pauseApp() {
    }

    //Av̏I
    public void destroyApp(boolean unconditional) {
    }
    /**
     * Respond to a commands issued on any Screen.
     * @param c Command invoked
     * @param s Displayable on which the command was invoked
     */
    public void commandAction(Command c, Displayable s) {
       if (c == exitCommand) {
           destroyApp(true);
          notifyDestroyed();
       } else if (c == aboutCommand) {
          About.showAbout(display);
       } else if (c == measureCommand) {
          String msg = "Version 1.0.0\n" +
                       "Ave:" + (xCanvas.getAve() / 100) + "." + 
                                (xCanvas.getAve() % 100) + " rpm\n" +
                       "Max:" + (xCanvas.getMax() / 100)   + "." +
                                (xCanvas.getMax() % 100)   + " rpm\n" +
                       "Min:" + (xCanvas.getMin() / 100)   + "." +
                                (xCanvas.getMin() % 100)  + " rpm\n" +
                                 "TotalRevolutions: " +
                                 xCanvas.getTotalRevolutions() + " times";
          Measure.showMeasure(display, msg);
       }
    }
}
