/*
 * @(#)About.java
 */

import javax.microedition.lcdui.*;

/**
 * Typical about box with a string and an image.
 * In this case the Sun copyright and logo.
 */

public class About {

    private static String copyright =
        "Copyright 2002- triring All Rights Reserved.\n"
      + "Xengine Version 1.0.0";

    private Displayable previous; // the previous screen to go back to

    private About() {};		// no instances

    /**
     * Put up the About box and when the use click ok return
     * to the previous screen.
     */
    public static void showAbout(Display display) {

        Alert alert = new Alert("information");
        alert.setTimeout(Alert.FOREVER);
        if (display.numColors() > 2) {
            String icon = (display.isColor()) ?
            "/res/icons/xengine8.png" : "/res/icons/xengine2.png";
            try {
                Image image = Image.createImage(icon);
            alert.setImage(image);
            } catch (java.io.IOException x) {
            // just don't append the image.
            }
        }
        // Add the copyright
        alert.setString(copyright);
        display.setCurrent(alert);
    }

}
