/*
 * @(#)Measure.java	1.11 01/08/23
 */

import javax.microedition.lcdui.*;

/**
 * Typical about box with a string and an image.
 * In this case the Sun copyright and logo.
 */

public class Measure {

    private Displayable previous; // the previous screen to go back to

    private Measure() {};

    /**
     * Put up the Measure box and when the use click ok return
     * to the previous screen.
     */
    public static void showMeasure(Display display, String message) {

        Alert alert = new Alert("Measure");
        alert.setTimeout(Alert.FOREVER);

        if (display.numColors() > 2) {
            String icon = (display.isColor()) ?
            "/res/icons/xengine8.png" : "/res/icons/xengine2.png";
//          "/icons/JavaPowered-8.png" : "/icons/JavaPowered-2.png";
            try {
                Image image = Image.createImage(icon);
            alert.setImage(image);
            } catch (java.io.IOException x) {
            // just don't append the image.
            }
        }
        // Add the copyright
        alert.setString(message);
        display.setCurrent(alert);
    }
}
